cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
We want to make our Community work for you and we need your help. Take our short survey!
Close

Dropbox installs & integrations

Connect your tools and content together with help from the Dropbox Community. Join a discussion or post a question of your own to get started.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Not syncing. Permissions error on Mac.

Highlighted

Not syncing. Permissions error on Mac.

Explorer | Level 4

Dropbox worked fine between a couple devices until I reinstalled the OS on all my computers. Now it works on one of the computers but when trying to launch the app on the other computer, there is a permissions issue.  I read a thread on here and tried changing the security settings in System Preferences. However, in the privacy tab, Files and Folders, Dropbox does not appear.

Not sure where to start resolving this. Any suggestions?

 

The error code is attached below:

 

bn.BUILD_KEY: Dropbox
bn.VERSION: 96.4.172
bn.constants.WINDOWS_SHELL_EXT_VERSION: 37
bn.is_frozen: True
machine_id: e9e90b1e-0a21-5643-b73e-fd7ad496e712
pid: 29968
ppid: 1
uid: 501
user_info: pwd.struct_passwd(pw_name='homeimac13', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Todd', pw_dir='/Users/homeimac13', pw_shell='/bin/zsh')
effective_user_info: pwd.struct_passwd(pw_name='homeimac13', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Todd', pw_dir='/Users/homeimac13', pw_shell='/bin/zsh')
euid: 501
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root'])
DYLD_LIBRARY_PATH: None
cwd: '/'
real_path='/'
mode=0o40755 uid=0 gid=80
parent mode=0o40755 uid=0 gid=80
HOME: '/Users/homeimac13'
appdata: '/Users/workhorse13/.dropbox/instance1'
real_path='/Users/workhorse13/.dropbox/instance1'
not found
parent not found
dropbox_path: '/Users/workhorse13/Dropbox'
real_path='/Users/workhorse13/Dropbox'
not found
parent not found
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
mode=0o100755 uid=501 gid=20
parent mode=0o40755 uid=501 gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
real_path='/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
not found
parent not found
tempdir: '/var/folders/_c/s4c6xrfn4_7822lmb8q5q_qr0000gn/T'
real_path='/private/var/folders/_c/s4c6xrfn4_7822lmb8q5q_qr0000gn/T'
mode=0o40700 uid=501 gid=20
parent mode=0o40755 uid=501 gid=20
Traceback (most recent call last):
File "dropbox/client/main.pyc", line 1310, in safe_makedirs
File "os.pyc", line 211, in makedirs
File "os.pyc", line 211, in makedirs
File "os.pyc", line 221, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/workhorse13'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "dropbox/client/main.pyc", line 8145, in main_startup
File "dropbox/client/main.pyc", line 3287, in run
File "dropbox/client/main.pyc", line 1758, in startup_low
File "dropbox/client/main.pyc", line 1337, in safe_makedirs
File "os.pyc", line 211, in makedirs
File "os.pyc", line 211, in makedirs
File "os.pyc", line 221, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/workhorse13'

Highlighted

Re: Not syncing. Permissions error on Mac.

Dropboxer
Dropboxer

Hi @abbatross; thanks for posting on our Community!

 

The permissions error you get is due to the change of your OS profile (username) so I'd suggest a clean, advanced reinstall at this point. 

 

Let me know how it goes!



Walter
Community Moderator @ Dropbox
https://dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
Still stuck? Ask me a question!
Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Highlighted

Re: Not syncing. Permissions error on Mac.

Explorer | Level 4

Thanks, Walter. But a clean reinstall is still generating the same error message. Any suggestions?

Highlighted

Re: Not syncing. Permissions error on Mac.

Dropboxer
Dropboxer

In that case, could you quit the app and then follow these steps @abbatross?

 

1. Open your Terminal app (Located at /Applications/Utilities/Terminal)

 

2. Copy and paste the following line (highlighted below) into the Terminal and press ENTER. Just make sure you copy and paste this command (don't type it by hand), as getting it wrong could cause some harm. You'll be prompted for your computer's admin password (not your Dropbox password) after entering the first command. Keep in mind that the password field in the terminal will remain blank as you type your password. After you type it, just press ENTER. You'll know that these instructions complete normally once the initial line of text (called prompt) comes up again:

 

sudo mv ~/.dropbox ~/.Trash/dropbox.old

 

Please note that once the prompt displays, the instruction completed the requested task. If the command returns an error, or does not respond after an hour, you may want to reboot your computer and try this step again.

 

3. Restart Dropbox from the Application folder, then please sign in and apply any Selective Sync settings you may have had prior to this reset during the sign in process. Your account will take a few moments to reindex the files and sync any pending changes.

 

If Dropbox still doesn't start then please copy and send me the result from the Terminal commands and any error messages. Alternatively, if it's easier you can also take a screenshot and attach it to your next reply.

 

Thanks!

 



Walter
Community Moderator @ Dropbox
https://dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
Still stuck? Ask me a question!
Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Highlighted

Dropbox couldnt start

New member | Level 2
New member | Level 2

I changed my User Home folder name in Macbook. After that i cant access my drop box..I even tried reinstalling the dropbox app for macbook..still same... and its showing this as below. Need help

 

bn.BUILD_KEY: Dropbox
bn.VERSION: 104.4.175
bn.constants.WINDOWS_SHELL_EXT_VERSION: 44
bn.is_frozen: True
machine_id: b7a95bec-a115-51bf-a84a-740a196fd369
pid: 530
ppid: 1
uid: 501
user_info: pwd.struct_passwd(pw_name='PATRICK', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='PATRICK', pw_dir='/Users/PATRICK', pw_shell='/bin/bash')
effective_user_info: pwd.struct_passwd(pw_name='PATRICK', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='PATRICK', pw_dir='/Users/PATRICK', pw_shell='/bin/bash')
euid: 501
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'SHESHA'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'SHESHA'])
DYLD_LIBRARY_PATH: None
cwd: '/'
real_path='/'
mode=0o40755 uid=0 gid=80
parent mode=0o40755 uid=0 gid=80
HOME: '/Users/PATRICK'
appdata: '/Users/SHESHA/.dropbox/instance1'
real_path='/Users/SHESHA/.dropbox/instance1'
not found
parent not found
dropbox_path: '/Users/SHESHA/Dropbox'
real_path='/Users/SHESHA/Dropbox'
not found
parent not found
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
mode=0o100755 uid=501 gid=20
parent mode=0o40755 uid=501 gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
real_path='/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
not found
parent not found
tempdir: '/var/folders/yv/z146dy3563g2fpdp_tdgcq7c0000gn/T'
real_path='/private/var/folders/yv/z146dy3563g2fpdp_tdgcq7c0000gn/T'
mode=0o40700 uid=501 gid=20
parent mode=0o40755 uid=501 gid=20
Traceback (most recent call last):
File "dropbox/client/main.pyc", line 1258, in safe_makedirs
File "os.pyc", line 211, in makedirs
File "os.pyc", line 211, in makedirs
File "os.pyc", line 221, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/SHESHA'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "dropbox/client/main.pyc", line 7724, in main_startup
File "dropbox/client/main.pyc", line 2940, in run
File "dropbox/client/main.pyc", line 1704, in startup_low
File "dropbox/client/main.pyc", line 1285, in safe_makedirs
File "os.pyc", line 211, in makedirs
File "os.pyc", line 211, in makedirs
File "os.pyc", line 221, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/SHESHA'

Highlighted

Re: Unable to start Dropbox: permission err due to attempting to change permissions on a nonexistent

Dropboxer
Dropboxer

Hello @seshasahi, hope you're having a good Monday!

 

Can you try the steps outlined here? This should do the trick to resolve the error that you're getting.

 

Let me know how it goes!


Daphne
Community Moderator @ Dropbox
https://dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
Still stuck? Ask me a question!
Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Highlighted

After changing username on mac, can't access dropbox anymore

Explorer | Level 3
Hi all, 
 
I changed the name of the user account on my mac. Since then I can't access the dropbox anymore. I deleted the dropbox thinking after reinstalling the problem would be gone. But it keeps showing the follwing error. As I deleted the dropbox the usual path I can find in the  internet doesn't work anymore. Anyways the description for deinstallation I found on the dropbox website didn't work. Please there must be a simple solution whcih doesn't involve 100 steps and endless searching. I just needed to change a name!! Thanks in advance. 
 
bn.BUILD_KEY: Dropbox
bn.VERSION: 104.4.175
bn.constants.WINDOWS_SHELL_EXT_VERSION: 44
bn.is_frozen: True
machine_id: 2a815d46-7f59-5958-8854-22539c0850bc
pid: 1903
ppid: 1
uid: 501
user_info: pwd.struct_passwd(pw_name='Glen', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Glen Sattler', pw_dir='/Users/Glen', pw_shell='/bin/bash')
effective_user_info: pwd.struct_passwd(pw_name='Glen', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Glen Sattler', pw_dir='/Users/Glen', pw_shell='/bin/bash')
euid: 501
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'Eva'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'Eva'])
DYLD_LIBRARY_PATH: None
cwd: '/'
     real_path='/'
            mode=0o40755 uid=0 gid=80
     parent mode=0o40755 uid=0 gid=80
HOME: '/Users/Glen'
appdata: '/Users/Eva/.dropbox/instance1'
         real_path='/Users/Eva/.dropbox/instance1'
                not found
         parent not found
dropbox_path: '/Users/Eva/Dropbox'
              real_path='/Users/Eva/Dropbox'
                    not found
              parent not found
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                      mode=0o100755 uid=501 gid=20
                parent mode=0o40755 uid=501 gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                real_path='/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                      not found
                parent not found
tempdir: '/var/folders/c3/1tg2z3n17f96qj4p897d05t40000gn/T'
         real_path='/private/var/folders/c3/1tg2z3n17f96qj4p897d05t40000gn/T'
                mode=0o40700 uid=501 gid=20
         parent mode=0o40755 uid=501 gid=20
Traceback (most recent call last):
  File "dropbox/client/main.pyc", line 1258, in safe_makedirs
  File "os.pyc", line 211, in makedirs
  File "os.pyc", line 211, in makedirs
  File "os.pyc", line 221, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/Eva'
 
During handling of the above exception, another exception occurred:
 
Traceback (most recent call last):
  File "dropbox/client/main.pyc", line 7724, in main_startup
  File "dropbox/client/main.pyc", line 2940, in run
  File "dropbox/client/main.pyc", line 1704, in startup_low
  File "dropbox/client/main.pyc", line 1285, in safe_makedirs
  File "os.pyc", line 211, in makedirs
  File "os.pyc", line 211, in makedirs
  File "os.pyc", line 221, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/Eva'

 

Highlighted

Re: After changing username on mac, can't access dropbox anymore

Dropboxer
Dropboxer

Hi @GlenS; thanks for posting on our Community!

 

To resolve this issue, I am going to provide you with steps to reset the Dropbox application settings. This will not affect or remove the files in your Dropbox folder.

 

Please be sure to take note or take a screenshot of any Selective Sync settings you may have applied prior to re-installing as you will need to re-apply these settings after this process.

 

First, please save and quit all programs accessing files in the Dropbox folder, and then follow these instructions:

 

1) Open your Terminal app (Located at /Applications/Utilities/Terminal)

 

2) Copy and paste the following line (highlighted below) into the Terminal and press ENTER. Make sure you copy and paste this command (don't type it by hand), as getting it wrong could cause some harm. You'll be prompted for your computer's admin password (not your Dropbox password) after entering the first command. Keep in mind that the password field in the terminal will remain blank as you type your password. After you type it, just press ENTER. You'll know that these instructions complete normally once the initial line of text (called prompt) comes up again:

 

sudo mv ~/.dropbox ~/.Trash/dropbox.old

 

Please note that once the prompt displays, the instruction completed the requested task. If the command returns an error, or does not respond after an hour, you may want to try restarting your computer and trying this step again.

 

3) Restart Dropbox from the Application folder, then please sign in and apply any Selective Sync settings you may have had prior to this reset during the sign in process. Your account will take a few moments to reindex the files and sync any pending changes.

 

If Dropbox still doesn't start then please copy and send me the result from the Terminal commands and any error messages shown there, or a screenshot if that works better for you.

 

Keep me posted! 



Walter
Community Moderator @ Dropbox
https://dropbox.com/support


Heart Did this post help you? If so, please give it a Like below.
Still stuck? Ask me a question!
Tips & Tricks Find new ways to stay in flow or share your tips on how you work smarter with Dropbox.

Highlighted

Re: After changing username on mac, can't access dropbox anymore

Explorer | Level 3

I needed to ask someone that knows more than me about computers for help. But then it worked. Thank you. 

Highlighted

Dropbox needs to change permissions

New member | Level 2
New member | Level 2

I've bought a new mac and set it up from a Time Machine backup.

 

The old machine's SSD was named MacBookAir.

The new machine's SSD is now named MacBookPro.

 

Since restoring the (new) machine from Time Machine I get the following message each time I restart asking for my password:

"Dropbox needs to change permissions for the Folder: /Users/MacBookAir/.dropbox"

 

It fails and gives me the following error message:

 

bn.BUILD_KEY: Dropbox

bn.VERSION: 105.4.649
bn.constants.WINDOWS_SHELL_EXT_VERSION: 45
bn.is_frozen: True
machine_id: 5030098c-2103-5d42-91ce-022ecc6ec8f5
pid: 1548
ppid: 1
uid: 501
user_info: pwd.struct_passwd(pw_name='MacBookPro', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Matthew Elston', pw_dir='/Users/MacBookPro', pw_shell='/bin/bash')
effective_user_info: pwd.struct_passwd(pw_name='MacBookPro', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='Matthew Elston', pw_dir='/Users/MacBookPro', pw_shell='/bin/bash')
euid: 501
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'MacBookPro', '_serialnumberd', 'MacBookAir'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root', 'MacBookPro', '_serialnumberd', 'MacBookAir'])
DYLD_LIBRARY_PATH: None
cwd: '/'
     real_path='/'
            mode=0o40755 uid=0 gid=80
     parent mode=0o40755 uid=0 gid=80
HOME: '/Users/MacBookPro'
appdata: '/Users/MacBookAir/.dropbox/instance1'
         real_path='/Users/MacBookAir/.dropbox/instance1'
                not found
         parent not found
dropbox_path: '/Users/MacBookAir/Dropbox'
              real_path='/Users/MacBookAir/Dropbox'
                    not found
              parent not found
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
                      mode=0o100755 uid=501 gid=20
                parent mode=0o40755 uid=501 gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                real_path='/Applications/Dropbox.app/Contents/Resources/python-packages.zip/dropbox/client/ui/common/boot_error.pyc'
                      not found
                parent not found
tempdir: '/var/folders/ts/ntgywnfj5mz9r2nnjf4gd_hr0000gn/T'
         real_path='/private/var/folders/ts/ntgywnfj5mz9r2nnjf4gd_hr0000gn/T'
                mode=0o40700 uid=501 gid=20
         parent mode=0o40755 uid=501 gid=20
Traceback (most recent call last):
  File "dropbox/client/main.pyc", line 1257, in safe_makedirs
  File "os.pyc", line 211, in makedirs
  File "os.pyc", line 211, in makedirs
  File "os.pyc", line 221, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/MacBookAir'
 
During handling of the above exception, another exception occurred:
 
Traceback (most recent call last):
  File "dropbox/client/main.pyc", line 7715, in main_startup
  File "dropbox/client/main.pyc", line 2946, in run
  File "dropbox/client/main.pyc", line 1703, in startup_low
  File "dropbox/client/main.pyc", line 1284, in safe_makedirs
  File "os.pyc", line 211, in makedirs
  File "os.pyc", line 211, in makedirs
  File "os.pyc", line 221, in makedirs
PermissionError: [Errno 13] Permission denied: '/Users/MacBookAir'

 

How can I alter dropbox to use the newly named drive? Or delete and start again, which I've already tried to do and failed.

 

Thanks in advance.

 

Work Smarter with Dropbox

The way we work is changing. Share and discover new ways to work smarter with Dropbox in our community.

Sound good? Let's get started.
Need more support?